## org.opengis.sld
Interface LinePlacement

All Superinterfaces:
  TextPlacement

    @XmlElement(value="PointPlacement")
    public interface LinePlacement

extends TextPlacement

Helds by a `TextSymbol` to indicate that text should be drawn at some distance from a line.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Method Summary
`Expression` `getPerpendicularOffset()` Returns the expression that is used to compute how far from the lines the text will be drawn.
`void` `setPerpendicularOffset(Expression e)` Sets the expression that is used to compute how far from the lines the text will be drawn.

Methods inherited from interface TextPlacement
`accept`

Method Detail

### getPerpendicularOffset

    @XmlElement(value="PerpendicularOffset")
    Expression getPerpendicularOffset()

  Returns the expression that is used to compute how far from the lines the text will be drawn. The distance must evaluate to a non-negative number.

### setPerpendicularOffset

    @XmlElement(value="PerpendicularOffset")
    void setPerpendicularOffset(Expression e)

  Sets the expression that is used to compute how far from the lines the text will be drawn. See `getPerpendicularOffset()` for details.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.